gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.DruidPage System.Obsolete A widget used to implement the middle pages in a druid's sequence.

This widget provides similar functionality to that in . It is used for pages that are not the initial or terminal pages of a druid.

The main difference between an edge and a standard druid page (in a display sense) is that standard pages do not have a left-side watermark and the body of the contents section is a bit more arbitrary (it is a widget), rather than just displaying text (which is the common case for edge pages).

- Constructor
  2.24.0.0
  Construct a new .
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  The title of the druid page.
  The logo to put on the druid page.
  The watermark to put at the top of the druid page.
  Constructs a new and allows the caller to fill in some of the values at the same time.
- Method
  2.24.0.0
  System.Void `` `` `` The text to place above the item. The to be included. The text to be placed below the item in a smaller font. Add a to a 's VBox.

  Convenience function to add a to a 's VBox. This function creates a new contents section that has the question text followed by the item widget and then the addition_info text, all stacked vertically from top to bottom.

  The item widget could be something like a set of radio checkbuttons requesting a choice from the user.

- Property
  2.24.0.0
  Gdk.Color The color of the page border. The color.
- Property
  2.24.0.0
  GLib.Property("background_gdk")
  Gdk.Color The background color of the top section of the druid page. an object of type
- Property
  2.24.0.0
  GLib.Property("background_set")
  System.Boolean To be added an object of type To be added
- Property
  2.24.0.0
  Gdk.Color The color of the main contents section background. an object of type
- Property
  2.24.0.0
  GLib.Property("contents_background_gdk")
  Gdk.Color To be added. To be added. To be added.
- Property
  2.24.0.0
  GLib.Property("contents_background_set")
  System.Boolean To be added. To be added. To be added.
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("logo")
  Gdk.Pixbuf Sets a as the logo in the top right corner. an object of type If , then no logo will be displayed.
- Property
  2.24.0.0
  Gdk.Color The background color to render the logo image against. The color.
- Property
  2.24.0.0
  GLib.Property("logo_background_gdk")
  Gdk.Color The background of the logo. an object of type
- Property
  2.24.0.0
  GLib.Property("logo_background_set")
  System.Boolean Sets a as the watermark on top of the top strip on the druid. an object of type If set to null, the top watermark is reset to the normal color.
- Property
  2.24.0.0
  GLib.Property("title")
  System.String The page title. The page title.
- Property
  2.24.0.0
  Gdk.Color The color of the title text. an object of type To be added.
- Property
  2.24.0.0
  GLib.Property("title_foreground_gdk")
  Gdk.Color Sets the color of the main contents section's background. an object of type
- Property
  2.24.0.0
  GLib.Property("title_foreground_set")
  System.Boolean To be added an object of type To be added
- Property
  2.24.0.0
  GLib.Property("top_watermark")
  Gdk.Pixbuf Sets a as the watermark on the top strip on the druid. an object of type If , it is reset to the normal color.
- Property
  2.24.0.0
  Gtk.VBox The page's The page's